/*  Jaron mode 2 - displays bouncing text
    Copyright (C) 2004  John Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <curses.h>

#define NUM_COLS 80
#define NUM_ROWS 25
#define STRING "Linux is addictive, I'm hooked! --MaDsen Wilkhoms .sig"
#define BASE_SLEEP_TIME 50000
#define INCREMENTAL_TIME 6000

int mode2(void)
{	int counter, counter2;
	initscr();
	cbreak();
	clear();
	refresh();
	for(counter = (NUM_ROWS - 1); counter > (((NUM_ROWS - 1) / 3) - 2); counter -= 3)
	{	for(counter2 = (counter - 1); counter2 != 0; counter2--)
		{	clear();
			move(NUM_ROWS - counter2 ,((NUM_COLS - strlen(STRING)) / 2));
			printw(STRING);
			usleep(BASE_SLEEP_TIME + (counter2 * INCREMENTAL_TIME));
			refresh();
		}
		for(counter2 = NUM_ROWS - 1; counter2 != NUM_ROWS - counter + 3; counter2--)
		{	clear();
			move(counter2, ((NUM_COLS - strlen(STRING)) / 2));
			printw(STRING);
			usleep(BASE_SLEEP_TIME + ((NUM_ROWS - counter2) * INCREMENTAL_TIME));
			refresh();
		}
	}
	endwin();
	return EXIT_SUCCESS;
}
