/*  Jaron Mode 3 - displays a string in and interesting way.
    Copyright (C) 2004  John Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <curses.h>
#include <string.h>


#define NUM_COLS 80
#define NUM_ROWS 25
#define SLEEP_TIME 1000000 /* millionths of a second between frames */
#define STRING "Linux" /* change this to whatever you like */

int mode3(void)
{	int row, column;
	int counter;
	initscr();  /* initialize screen for ncurses */
	cbreak(); 
	clear(); 
	refresh();
	for(counter = 0; counter != 25; counter++)
	{	usleep(SLEEP_TIME);
		column = counter * ((NUM_COLS - strlen(STRING)) / 25);
		row = counter;
		move(row, column);
		printw(STRING);
		refresh();
	}
	endwin();
}
