/*  Jaron mode 1 - Displays a marquee going across the screen
    Copyright (C) 2004  John Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <curses.h>
#include <string.h>

#define STRING "Linux - The Choice of a GNU Generation. --ksh@cis.ufl.edu"
#define NUM_ROWS 25
#define NUM_COLS 80
#define SLEEP_TIME 750000

int mode1(void)
{	int row, column, counter, counter2;
	initscr(); /* set up screen for ncurses */ 
	cbreak(); 
	clear(); 
	refresh();
	for(counter = 0; counter != 3; counter++)
	{	row = get_random(NUM_ROWS);
		for(counter2 = 0; counter2 != (NUM_COLS - strlen(STRING)); counter2++)
		{	usleep(SLEEP_TIME);
			clear();
			move(row, counter2);
			printw(STRING);
			refresh();
		}	
	}	
	endwin();
}		